﻿Partial Class _Default
    Inherits System.Web.UI.Page
    Private series1 As Steema.TeeChart.Styles.Bar
    Private labelstext As String()
    Private Sub InitializeChart()
        WebChart1.Chart.Aspect.View3D = True
        series1 = New Steema.TeeChart.Styles.Bar(WebChart1.Chart)
        series1.Gradient.Visible = True
        labelstext = New String() {"Desmonte Total", "Volumen de Vertedero", "Rellenos con Mat. Excavacion", "Rellenos con Mat. Prestamo", "Seleccinado de Excavacion", "Selecciondo de Prestamo", _
            "Cemento Suelo Estabilizado", "Resto de unidades"}
        series1.Add(72049.79, "Desmonte Total")
        series1.Add(23371.14, "Volumen de Vertedero")
        series1.Add(71177.12, "Rellenos con Mat. Excavacion")
        series1.Add(91177.12, "Rellenos con Mat. Prestamo")
        series1.Add(53371.14, "Seleccinado de Excavacion")
        series1.Add(1177.11999999999, "Selecciondo de Prestamo")
        series1.Add(0, "Cemento Suelo Estabilizado")
        series1.Add(11177.12, "Resto de unidades")
        series1.Marks.Visible = False
        WebChart1.Chart.Legend.Shadow.Visible = True
        WebChart1.Chart.Legend.Visible = False
        'CUSTOM LABELS
        AddCustomLabels(series1, labelstext)

        WebChart1.Chart.Axes.Bottom.Labels.Angle = 50
        WebChart1.Chart.Export.Image.JPEG.Quality = 100
        WebChart1.Chart.Export.Image.JPEG.Width = 2000
        WebChart1.Chart.Export.Image.JPEG.Height = 900
        WebChart1.Chart.Export.Image.JPEG.Save("C:\ImagenInformeTripleBarras3.jpeg")
    End Sub

    Protected Sub AddCustomLabels(ByVal s As Steema.TeeChart.Styles.Series, ByVal arraylabels As String())
        WebChart1.Chart.Axes.Bottom.Labels.Items.Clear()
        For i As Integer = 0 To series1.Count - 1
            WebChart1.Chart.Axes.Bottom.Labels.Items.Add(s.XValues(i), arraylabels(i))
        Next

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        InitializeChart()
    End Sub
End Class
